Loading...
Searching...
No Matches
Ogre::Timer Class Reference

Timer class. More...

`#include <OgreTimer.h>`

Inheritance diagram for Ogre::Timer:
[legend]

## Public Member Functions

| Timer ()
uint64_t | getMicroseconds ()
| Returns microseconds since initialisation or last reset.
uint64_t | getMicrosecondsCPU ()
| Returns microseconds since initialisation or last reset, only CPU time measured.
uint64_t | getMilliseconds ()
| Returns milliseconds since initialisation or last reset.
uint64_t | getMillisecondsCPU ()
| Returns milliseconds since initialisation or last reset, only CPU time measured.
void | reset ()
| Resets timer.

## Detailed Description

Timer class.

## Constructor & Destructor Documentation

## Timer()

Ogre::Timer::Timer | ( |  | ) |

## Member Function Documentation

## reset()

void Ogre::Timer::reset | ( |  | ) |

Resets timer.

## getMilliseconds()

uint64_t Ogre::Timer::getMilliseconds | ( |  | ) |

Returns milliseconds since initialisation or last reset.

## getMicroseconds()

uint64_t Ogre::Timer::getMicroseconds | ( |  | ) |

Returns microseconds since initialisation or last reset.

## getMillisecondsCPU()

uint64_t Ogre::Timer::getMillisecondsCPU | ( |  | ) |

Returns milliseconds since initialisation or last reset, only CPU time measured.

## getMicrosecondsCPU()

uint64_t Ogre::Timer::getMicrosecondsCPU | ( |  | ) |

Returns microseconds since initialisation or last reset, only CPU time measured.

The documentation for this class was generated from the following file:

- OgreTimer.h